View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/payments/payment/authcapturePreferstring<currency_code>Optionalreturn=minimal. The server returns a minimal response to optimize communication between the API caller and the server. A minimal response includes the id, status and HATEOAS links.return=representation. The server returns a complete resource representation, including the current state of the resource.application/json
TypeScript Definitions
Use the request body type in TypeScript.
amountobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/payments/authorizations/0VF52814937998046/reauthorize" \ -H "PayPal-Request-Id: 17e81d06-77ab-11e8-adc0-fa71639ebebc" \ -H "Prefer: return=representation" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "PayPal-Auth-Assertion: eyJhbGciOiJub25lIn0.eyJlbWFpbCI6Im15QGVtYWlsLmNvbSJ9" \ -H "Content-Type: application/json" \ -d '{ "amount": { "value": "10.99", "currency_code": "USD" } }'{ "id": "8AA831015G517922L", "status": "CREATED", "links": [ { "rel": "self", "method": "GET", "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L" }, { "rel": "capture", "method": "POST", "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/capture" }, { "rel": "void", "method": "POST", "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/void" }, { "rel": "reauthorize", "method": "POST", "href": "https://api-m.paypal.com/v2/payments/authorizations/8AA831015G517922L/reauthorize" } ]}